


%define framework baloo
%define oname baloo5
%define kf5baloocore_major 5
%define libkf5baloocore %mklibname kf5baloocore %{kf5baloocore_major}
%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}
%define baloo_devel %mklibname %name -d

Summary:        Baloo is a framework for searching and managing metadata
Name:           %oname
Version: 	    5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:       http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
Patch0:         baloo-5.67.0-default-off.patch
URL:              https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel


BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  extra-cmake-modules
BuildRequires:  lmdb-devel
BuildRequires:  sd

BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  kidletime-devel >= 5.20.0
BuildRequires:  kauth-devel >= 5.20.0
BuildRequires:  kcrash-devel >= 5.20.0
BuildRequires:  solid-devel >= 5.20.0
BuildRequires:  kio-devel >= 5.20.0
BuildRequires:  kdbusaddons-devel >= 5.20.0
BuildRequires:  lib64kf5filemetadata-devel


%description
Baloo is a framework for searching and managing metadata

%files
%_sysconfdir/xdg/autostart/baloo_file.desktop
%_kf5_bindir/baloo_file
%_kf5_bindir/baloo_file_extractor
%_kf5_bindir/balooctl
%_kf5_bindir/baloosearch
%_kf5_bindir/balooshow
%_kf5_plugindir/kded/*.so
%_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kf5_plugindir/kio/*.so
%_kf5_qmldir/org/kde/baloo
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Baloo.so.%{kf5baloocore_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5BalooEngine.so.%{kf5balooengine_major}*
#--------------------------------------------------------------------
/usr/share/qlogging-*5/baloo.*
%_datadir/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
/usr/libexec/baloo_file
/usr/libexec/baloo_file_extractor


%package -n %baloo_devel
Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:	devel(libKF5BalooEngine(64bit))

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf5_includedir/Baloo

%_kf5_libdir/*.so
%_libdir/cmake/KF5Baloo
%_libdir/pkgconfig/Baloo.pc
%_libdir/qt5/mkspecs/modules/qt_Baloo.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

#fix xdg autostart
sd "KDE;GNOME;Unity;XFCE" "KDE;" %{buildroot}/%_sysconfdir/xdg/autostart/baloo_file.desktop


#remove conflicts
rm -rf %buildroot/%{_datadir}/locale
#remove systemd junk
rm -f %buildroot/usr/lib/systemd/user/kde-baloo.service

%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Mon Aug 02 2021 tex - 5.84.0-2pclos2021
- drop filewatch conf
- drop systemd junk

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

